<article class="main-container">

  <section class="main-header">
    <section>
      <input type="text"
             placeholder="Insert your note here"
             style="padding: 15px;"
             autofocus
             (keydown.enter)="save($event)"
             [(ngModel)]="text"/>
      <button
        style="padding: 15px; border-radius:10px; background-color: #cccccc"
        (click)="save($event)">Post your note!
      </button>
    </section>
    <section>
      <input type="checkbox" id="favorite" [(ngModel)]="isFavorite"/>
      <label for="favorite">is Favorite</label>
    </section>
  </section>

  <section class="main-body">

    <section class="main-left">
      <router-outlet></router-outlet>
    </section>

    <section class="main-right">
      <router-outlet name="favorites"></router-outlet>
    </section>
  </section>

</article>
